//
//  DetailViewController.swift
//  Contacten
//
//  Created by Developer on 05-04-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

protocol DetailViewDataSource: class {
  var naam: String { get }
  func email() -> String
  func telefoon() -> String
}

import UIKit

class DetailViewController: UIViewController {
  @IBOutlet weak var naamLabel: UILabel!
  @IBOutlet weak var emailLabel: UILabel!
  @IBOutlet weak var telefoonLabel: UILabel!
  
  weak var dataSource: DetailViewDataSource?
  
  override func viewDidLoad() {
    super.viewDidLoad()
    naamLabel.text = dataSource?.naam
    emailLabel.text = dataSource?.email()
    telefoonLabel.text = dataSource?.telefoon()
  }
  
  
  
}
