//
//  ViewController.swift
//  CollectionViewDemo
//
//  Created by Developer on 05-04-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UICollectionViewDataSource {
  @IBOutlet weak var collectionView: UICollectionView! {
    didSet {
      collectionView.dataSource = self
    }
  }
  
  // MARK: - Model
  var data = [Int]() {
    didSet {
      collectionView.reloadData()
    }
  }
  
  // MARK: UICollectionViewDataSource
  func numberOfSections(in collectionView: UICollectionView) -> Int {
    return 1
  }
  
  func collectionView(_ collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
    return data.count
  }
  
  func collectionView(_ collectionView: UICollectionView, cellForItemAt indexPath: IndexPath) -> UICollectionViewCell {
    let cell = collectionView.dequeueReusableCell(withReuseIdentifier: "cell", for: indexPath)
    
    if let cell = cell as? LabelsCell {
      cell.nummerLabel.text = String(data[indexPath.item])
      let totaal = data.reduce(0, +)
      cell.totaalLabel.text = String(totaal)
    }
    
    return cell
  }
  
  // MARK: - Actions
  @IBAction func voegItemToe(_ sender: Any) {
    data.append(data.count + 1)
  }

}

